<?php

namespace HCM\VAB\IntegracaoVT;

class LeitorTransfacil extends Leitor
{

    protected $formatosAceitos = 'XLSX|XLSM|XLTX|XLTM|XLS|XLT|ODS|OTS|SLK|XML';

    protected function abrirArquivo($caminho)
    {
        $info = \PHPExcel_IOFactory::load($caminho);
        $info->setActiveSheetIndex(0);

        return $info;
    }

    protected function preparaInfo($info)
    {
        $idLinha = 8;
        $idColCartao = 'C';
        $idColSaldo = 'O';
        $infoFinal = array();

        $numCartao = $info->getActiveSheet()->getCell($idColCartao.$idLinha)->getValue();
        $saldo = $info->getActiveSheet()->getCell($idColSaldo.$idLinha++)->getValue();
        while(!empty($numCartao)){
            $reg = array();
            $reg['NUMERO_CARTAO'] = $numCartao;
            $reg['SALDO_CARTAO'] = $saldo;

            $numCartao = $info->getActiveSheet()->getCell($idColCartao.$idLinha)->getValue();
            $saldo = $info->getActiveSheet()->getCell($idColSaldo.$idLinha++)->getValue();

            $infoFinal[] = $reg;
        }

        return $infoFinal;
    }

} 