<?php

namespace HCM\FPA\Entity;

use HCM\Util\Repositories;
use HCM\Util\TkEntity;
use HCM\Util\DateUtil;

class FpaTpferiasvincEntity extends TkEntity
{
    
    static $tpFeriasVinculo;
    
    public function __construct($entityManager, $hcmParameters){
        $this->hcmParameters = $hcmParameters;
        parent::__construct(null, $entityManager);
    }

    public function retornaTpFeriasPorTpVinculo($nrOrg, $nrOrgPadrao, $nrTpVinculo,$qthsemanal){
        return $this->entityManager->getRepository(Repositories::FPA_TPFERIASVINC)->retornaTpFeriasPorTpVinculo($nrOrg, $nrOrgPadrao, $nrTpVinculo,$qthsemanal);
    }

    public function retornaTipoFeriasPorTipoVinculo($nrOrg, $nrOrgPadrao, $nrTpVinculo,$qthsemanal ) {
        if (!isset(self::$tpFeriasVinculo[$nrTpVinculo]) ||
            !is_object(self::$tpFeriasVinculo[$nrTpVinculo]) ||
           (is_object(self::$tpFeriasVinculo[$nrTpVinculo]) &&
            self::$tpFeriasVinculo[$nrTpVinculo]->getNrtipovinculom() != $nrTpVinculo))
        {
            self::$tpFeriasVinculo[$nrTpVinculo] = $this->entityManager->getRepository(Repositories::FPA_TPFERIASVINC)->retornaTpFeriasPorTpVinculo(
                $nrOrg, $nrOrgPadrao, $nrTpVinculo,$qthsemanal
            );
        }
        return self::$tpFeriasVinculo[$nrTpVinculo];
    }

}

